ooo-build r11277 - in trunk: . bin patches/src680 scratch/scsolver src src/layout



Author: pmladek
Date: Tue Jan 15 20:21:05 2008
New Revision: 11277
URL: http://svn.gnome.org/viewvc/ooo-build?rev=11277&view=rev

Log:
2008-01-15  Petr Mladek  <pmladek suse cz>

	* patches/src680/ucb-neon-0.24.diff, patches/src680/apply: fix build
	  with neon-0.24; it is already fixed in ooh680-m2, i#85265

	* ooo-build/bin/localize-ooo: always apply the localization fixes from
	  src/sdf/*; even when there is no full localization src/GSI_<lang>.sdf



Added:
   trunk/patches/src680/ucb-neon-0.24.diff
   trunk/src/layout/Makefile.am
Modified:
   trunk/ChangeLog
   trunk/bin/localize-ooo
   trunk/configure.in
   trunk/patches/src680/apply
   trunk/scratch/scsolver/Makefile.am
   trunk/src/Makefile.am
   trunk/src/layout/   (props changed)

Modified: trunk/bin/localize-ooo
==============================================================================
--- trunk/bin/localize-ooo	(original)
+++ trunk/bin/localize-ooo	Tue Jan 15 20:21:05 2008
@@ -9,6 +9,17 @@
 
 export LC_ALL='C';
 
+if ! which localize 2>/dev/null 2>&1 ; then
+    echo 'Building localize stuff at first...'
+    cd $OOBUILDDIR/transex3
+    perl $SOLARENV/bin/build.pl --all $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
+    perl $SOLARENV/bin/deliver.pl || exit 1;
+    cd -
+
+    echo "Fixing localize.sdf permissions..."
+    find $OOBUILDDIR -type f -name "localize.sdf" -exec chmod 644 {} \;
+fi
+
 # What extra localizations are avilable as $SRCDIR/GSI_*.sdf and are not
 # already merged?
 extra_trans_stamp=$TOOLSDIR/stamp/build.extra.translations
@@ -27,70 +38,56 @@
     done
 done	    
 
-if test "z$extra_trans_langs" != "z" ; then
-
-    if ! which localize 2>/dev/null 2>&1 ; then
-	echo 'Building localize stuff at first...'
-	cd $OOBUILDDIR/transex3
-	perl $SOLARENV/bin/build.pl --all $EXTRA_BUILD_FLAGS $EXTRA_DMAKE_FLAGS || exit 1;
-	perl $SOLARENV/bin/deliver.pl || exit 1;
-	cd -
-    fi
-   
-    echo "Fixing localize.sdf permissions..."
-    find $OOBUILDDIR -type f -name "localize.sdf" -exec chmod 644 {} \;
-
-    for langcode in $extra_trans_langs ; do
-	# merge the available localization
-        echo "Merging extra \"$langcode\" localization..."
-	$SOLARVERSION/$INPATH/bin/localize -m -x -l $langcode -f $SRCDIR/GSI_$langcode.sdf || exit 1;
+for langcode in $extra_trans_langs ; do
+    # merge the available localization
+    echo "Merging extra \"$langcode\" localization..."
+    $SOLARVERSION/$INPATH/bin/localize -m -x -l $langcode -f $SRCDIR/GSI_$langcode.sdf || exit 1;
+    echo ""
+    DEB_GSIFILE=$DEB_GSIDIR/GSI_$langcode.sdf
+    if test "z$DEB_GSIDIR" != "z" && test -f $DEB_GSIFILE; then
+	echo "Merging imported \"$langcode\" localization..."
+	$SOLARVERSION/$INPATH/bin/localize -m -x -l $langcode -f $DEB_GSIFILE || exit 1;
 	echo ""
-	DEB_GSIFILE=$DEB_GSIDIR/GSI_$langcode.sdf
-	if test "z$DEB_GSIDIR" != "z" && test -f $DEB_GSIFILE; then
-	    echo "Merging imported \"$langcode\" localization..."
-	    $SOLARVERSION/$INPATH/bin/localize -m -x -l $langcode -f $DEB_GSIFILE || exit 1;
-	    echo ""
-	else
-	    DEB_GSIFILE=
-	fi
-	
-	# workaround for i#56622, n#210797
-	if echo "$langcode" | grep -q "hu" ; then
-	    echo "Fixing Hungarian strings: OOo vs. SO"
-	    for file in `find $OOBUILDDIR -type f -name "localize.sdf"` ; do
-		$TOOLSDIR/bin/a2az.pl $file >$file.a2az
-		mv $file.a2az $file
-	    done
-	fi
-
-	# copy help auxiliary files if they are missing but the localized strings are available
-	if grep -q "^helpcontent2" $SRCDIR/GSI_$langcode.sdf $DEB_GSIFILE &&
-	   test ! -d $OOBUILDDIR/helpcontent2/source/auxiliary/$langcode ; then
-	    echo "Copying English help auxiliary files for \"$langcode\"..."
-	    cd $OOBUILDDIR/helpcontent2/source/auxiliary
-	    cp -r en-US $langcode
-	    perl -pi -e "s|Language=en-US|Language=$langcode|" $langcode/*.cfg
-	fi
-	# make stamp for this localization
-	echo $SRCDIR/GSI_$langcode.sdf >>$extra_trans_stamp
-    done
-
-    # apply all extra string fixes and updates
-    for fn in $SRCDIR/sdf/*.sdf; do
-	    [ -f "$fn" ] || continue
-	    grep -q "^$fn$" $extra_trans_stamp 2>/dev/null && continue;
-	    echo "Merging extra localization $(basename $fn) ..."
-	    $SOLARVERSION/$INPATH/bin/localize -m -x -l all -f $fn || exit 1;
-	    echo "$fn" >>$extra_trans_stamp
-    done
+    else
+	DEB_GSIFILE=
+    fi
 
-    if test "z$DEB_GSIDIR" != "z"; then
-	for fn in $DEB_GSIDIR/*all*.sdf; do
-	    [ -f "$fn" ] || continue
-	    echo "Merging extra localization $(basename $fn) ..."
-	    $SOLARVERSION/$INPATH/bin/localize -m -x -l all -f $fn || exit 1;
+    # workaround for i#56622, n#210797
+    if echo "$langcode" | grep -q "hu" ; then
+        echo "Fixing Hungarian strings: OOo vs. SO"
+        for file in `find $OOBUILDDIR -type f -name "localize.sdf"` ; do
+    	    $TOOLSDIR/bin/a2az.pl $file >$file.a2az
+	    mv $file.a2az $file
 	done
     fi
+
+    # copy help auxiliary files if they are missing but the localized strings are available
+    if grep -q "^helpcontent2" $SRCDIR/GSI_$langcode.sdf $DEB_GSIFILE &&
+       test ! -d $OOBUILDDIR/helpcontent2/source/auxiliary/$langcode ; then
+        echo "Copying English help auxiliary files for \"$langcode\"..."
+	cd $OOBUILDDIR/helpcontent2/source/auxiliary
+	cp -r en-US $langcode
+	perl -pi -e "s|Language=en-US|Language=$langcode|" $langcode/*.cfg
+    fi
+    # make stamp for this localization
+    echo $SRCDIR/GSI_$langcode.sdf >>$extra_trans_stamp
+done
+
+# apply all extra string fixes and updates
+for fn in $SRCDIR/sdf/*.sdf; do
+    [ -f "$fn" ] || continue
+    grep -q "^$fn$" $extra_trans_stamp 2>/dev/null && continue;
+    echo "Merging extra localization $(basename $fn) ..."
+    $SOLARVERSION/$INPATH/bin/localize -m -x -l all -f $fn || exit 1;
+    echo "$fn" >>$extra_trans_stamp
+done
+
+if test "z$DEB_GSIDIR" != "z"; then
+    for fn in $DEB_GSIDIR/*all*.sdf; do
+	[ -f "$fn" ] || continue
+	echo "Merging extra localization $(basename $fn) ..."
+	$SOLARVERSION/$INPATH/bin/localize -m -x -l all -f $fn || exit 1;
+    done
 fi
 
 # FIXME: add all missing en-GB strings; it is a workaround for i#66919, n#231678

Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in	(original)
+++ trunk/configure.in	Tue Jan 15 20:21:05 2008
@@ -1178,6 +1178,7 @@
 po/Makefile
 doc/Makefile
 src/Makefile
+src/layout/Makefile
 src/sdf/Makefile
 src/mono-ooo.pc
 stamp/Makefile

Modified: trunk/patches/src680/apply
==============================================================================
--- trunk/patches/src680/apply	(original)
+++ trunk/patches/src680/apply	Tue Jan 15 20:21:05 2008
@@ -852,6 +852,10 @@
 # fix build with gcc-4.2.1 and -fvisibility-hidden
 buildfix-xmloff-exportxforms.diff, i#84965
 
+[ BuildBits < ooh680-m2 ]
+# fix building with system neon-0.24
+ucb-neon-0.24.diff, pmladek, i#85265
+
 [ NovellOnlyWin32 ]
 SectionOwner => tml
 

Added: trunk/patches/src680/ucb-neon-0.24.diff
==============================================================================
--- (empty file)
+++ trunk/patches/src680/ucb-neon-0.24.diff	Tue Jan 15 20:21:05 2008
@@ -0,0 +1,45 @@
+--- ucb/source/ucp/webdav/NeonPropFindRequest.cxx.old	2008-01-02 16:49:35.000000000 +0100
++++ ucb/source/ucp/webdav/NeonPropFindRequest.cxx	2008-01-15 13:59:06.000000000 +0100
+@@ -176,11 +176,19 @@ extern "C" int NPFR_propfind_iter( void*
+ 
+ // -------------------------------------------------------------------
+ extern "C" void NPFR_propfind_results( void* userdata,
++#if NEON_VERSION >= 0260
+                                        const ne_uri* uri,
++#else
++                                       const char* href,
++#endif
+                                        const NeonPropFindResultSet* set )
+ {
+ 	DAVResource theResource(
++#if NEON_VERSION >= 0260
+ 						OStringToOUString( uri->path, RTL_TEXTENCODING_UTF8 ) );
++#else
++						OStringToOUString( href, RTL_TEXTENCODING_UTF8 ) );
++#endif
+ 
+ 	ne_propset_iterate( set, NPFR_propfind_iter, &theResource );
+ 
+@@ -208,14 +216,22 @@ extern "C" int NPFR_propnames_iter( void
+ 
+ // -------------------------------------------------------------------
+ extern "C" void NPFR_propnames_results( void* userdata,
++#if NEON_VERSION >= 0260
+                                         const ne_uri* uri,
++#else
++                                        const char* href,
++#endif
+                                         const NeonPropFindResultSet* results )
+ {
+ 	// @@@ href is not the uri! DAVResourceInfo ctor wants uri!
+ 
+ 	// Create entry for the resource.
+ 	DAVResourceInfo theResource(
++#if NEON_VERSION >= 0260
+ 						OStringToOUString( uri->path, RTL_TEXTENCODING_UTF8 ) );
++#else
++						OStringToOUString( href, RTL_TEXTENCODING_UTF8 ) );
++#endif
+ 	// Fill entry.
+     ne_propset_iterate( results, NPFR_propnames_iter, &theResource );
+ 

Modified: trunk/scratch/scsolver/Makefile.am
==============================================================================
--- trunk/scratch/scsolver/Makefile.am	(original)
+++ trunk/scratch/scsolver/Makefile.am	Tue Jan 15 20:21:05 2008
@@ -1,3 +1,3 @@
 SUBDIRS = docs idl prj source util # workben ext
 
-EXTRA_DIST = ChangeLog POSITION README
+EXTRA_DIST = ChangeLog-old POSITION README

Modified: trunk/src/Makefile.am
==============================================================================
--- trunk/src/Makefile.am	(original)
+++ trunk/src/Makefile.am	Tue Jan 15 20:21:05 2008
@@ -1,4 +1,4 @@
-SUBDIRS=sdf
+SUBDIRS=layout sdf
 
 EXTRA_DIST=\
 	Draft.jpg \

Added: trunk/src/layout/Makefile.am
==============================================================================
--- (empty file)
+++ trunk/src/layout/Makefile.am	Tue Jan 15 20:21:05 2008
@@ -0,0 +1 @@
+EXTRA_DIST = README $(wildcard *.png)



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]